org.apache.olingo.commons.api.edm

## Interface EdmNavigationProperty

- All Superinterfaces:
    EdmAnnotatable, EdmElement, EdmNamed, EdmTyped

      public interface EdmNavigationProperty
      extends EdmElement, EdmAnnotatable

  A CSDL NavigationProperty element
  EdmNavigationProperty allows navigation from one entity type to another via a relationship.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsTarget()`
    `EdmOnDelete` | `getOnDelete()`
    `EdmNavigationProperty` | `getPartner()`
    `String` | `getReferencingPropertyName(String referencedPropertyName)` Get property name for referenced property
    `List<EdmReferentialConstraint>` | `getReferentialConstraints()`
    `EdmEntityType` | `getType()` See `EdmType` for more information about possible types.
    `boolean` | `isNullable()`

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.EdmNamed

      `getName`

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.EdmTyped

      `isCollection`

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.EdmAnnotatable

      `getAnnotation, getAnnotations`

- - ### Method Detail

    - #### getType

          EdmEntityType getType()

      Description copied from interface: `EdmTyped`
      See `EdmType` for more information about possible types.
      Specified by:
        `getType` in interface `EdmTyped`
      Returns:
        `EdmType`

    - #### isNullable

          boolean isNullable()

      Returns:
        true if nullable or not specified

    - #### containsTarget

          boolean containsTarget()

      Returns:
        true if containsTarget

    - #### getPartner

          EdmNavigationProperty getPartner()

      Returns:
        the partner navigation property

    - #### getReferencingPropertyName

          String getReferencingPropertyName(String referencedPropertyName)

      Get property name for referenced property
      Parameters:
        `referencedPropertyName` - name of referenced property
      Returns:
        propertyName for this referenced property

    - #### getReferentialConstraints

          List<EdmReferentialConstraint> getReferentialConstraints()

      Returns:
        all referential constraints for this navigation property.

    - #### getOnDelete

          EdmOnDelete getOnDelete()

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.